<template>
    <div class="page-container">
        <div>season1</div>
        <ul class="list-container grid">
            <li class="list-item" 
            v-for="item in list" 
            :key="item.title" 
            >
                <div class="parallax-container">
                    <div data-depth="2" class="list-background box__shadow"></div>
                    <img data-depth="3" class="box__img" :src="item.image"/>
                    <label data-depth="4" class="list-title box__title">
                        <span :data-hover="item.title">
                            {{item.title}}
                        </span>
                    </label>
                    <h4 class="list-tag box__text">
                        <span>
                            {{item.tags}}
                        </span>
                    </h4>
                </div>
            </li>
        </ul>
    </div>
</template>
<script>
import request from "@/plugins/request"
import motionGrid from "@/plugins/motionGrid"

export default {
    data(){
        return {
            list: [],
            parallaxScenes: [],
            items: []
        }
    },
    mounted(){
       request.get('/').then(res=>{
           const {data} = res
           this.list = data.res
           setTimeout(()=>{
                Array.from(document.querySelectorAll('.list-item')).forEach((item) => {
                const itemObj = new motionGrid(item);
                this.items.push(itemObj);
            });
           },50)
       })
    },
    methods:{
    }
}
</script>
<style lang="stylus" scoped>
.list-container
    width: 100%
    max-width 1440px
    margin 0 auto
    height auto
    display: grid;
    align-items: center;
    padding: 3rem 3rem 15rem 3rem;
    grid-row-gap: 2rem;
    @media screen and (min-width: 55em)
            grid-template-columns: repeat(3,calc(100% / 3)); 
    @media screen and (min-width: 80em)
            grid-template-columns: repeat(4,25%);
    .list-item
        position relative
        list-style none
        cursor pointer
        &:hover
            .parallax-container .list-title span::before
                height 100%
                width 100%
            .parallax-container img
                filter grayscale(0)
        .parallax-container
            position relative
            margin 4rem
            .list-title 
                top: -4rem;
                right: -4.5rem;
                writing-mode: vertical-rl;
                margin: 0;
                line-height: 1;
                position: absolute;
                z-index: 100;
                width 4.2rem
                overflow hidden
                span 
                    -webkit-text-stroke: 2px #000;
                    text-stroke: 2px #000;
                    -webkit-text-fill-color: transparent;
                    text-fill-color: transparent;
                    color: transparent;
                    display: block;
                    position: relative;
                    font-weight: normal;
                    text-transform: uppercase
                    font-size: 3.15rem;
                    letter-spacing: 0.15rem;
                    line-height: 1.25;
                    font-family: 'Anton', sans-serif;
                    &:before
                        content: attr(data-hover);
                        position: absolute;
                        top: 0px;
                        left: 0;
                        height: 0;
                        overflow: hidden;
                        text-transform: uppercase
                        white-space: nowrap;
                        -webkit-text-stroke: 0;
                        text-stroke: 0;
                        -webkit-text-fill-color: #000;
                        text-fill-color: #000;
                        color: #000;
                        transition: all 0.3s;
            .list-tag 
                margin: 0;
                position: absolute;
                top: -6rem;
                font-weight: normal;
                text-transform: uppercase;
                letter-spacing: 0.15rem;
                font-size: 1.75rem;
                margin: 0.5rem 1rem;
                font-family: 'Anton', sans-serif;
                span
                    position: relative;
                    display: block;
                    border: 3px solid #000;
                    padding: 0.25rem 1.25rem;
            .list-background
                top: -1rem;
                left: -1rem;
                position absolute
                width 100%
                height 100%
                background url('../assets/list-item-background.png')
            img
                display: block;
                flex: none;
                margin: 0 auto;
                max-width: 100%;
                filter: grayscale(1);
                transition: filter 0.3s;
                pointer-events: none;
</style>